---
description: RageFW is a ty1pe-safe framework for developing Rage:MP servers
prev: false
next: false
outline: [2, 4]
---

# Rage Framework (RageFW) <Badge type="tip" text="^0.2.0" />

RageFW is a type-safe framework for developing Rage:MP servers. Designed with developers in mind, RageFW brings structure and efficiency to your Rage:MP servers, ensuring robust and maintainable code

## Features

- **Type-Safe Development:** Eliminate runtime errors and enhance code reliability with RageFW comprehensive type safety, making your RP server's development smoother than a Sunday drive through Los Santos

- **Wrapped RPC client:** Communicate effortlessly between server, client and cef with RPC system, wrapped in a cozy custom-typed blanket for your peace of mind

- **Logging System:** Keep track of server activities and debug like a pro with our built-in, feature-rich logging system. After all, even virtual cops need evidence

## Getting Started

To make you life easier while using RageFW we created a basic CLI. At the moment automation we have only works via [pnpm](https://pnpm.io/) and [bun](https://bun.sh/)

You can find out more about our CLI [here](/rage-fw-cli/)

```shell
pnpm create @entityseven/rage-fw@latest
```

```shell
bun create @entityseven/rage-fw@latest
```

This will give you a few options, among them, you can find `Initialize new project`. Use that option to scaffold a new project for yourself using the preferred frontend framework

## Documentation

RageFW distibutes under a list of packages:

- [`@entityseven/rage-fw-server`](./server) [npmjs.com](https://www.npmjs.com/package/@entityseven/rage-fw-server)
- [`@entityseven/rage-fw-client`](./client) [npmjs.com](https://www.npmjs.com/package/@entityseven/rage-fw-client)
- [`@entityseven/rage-fw-browser`](./browser) [npmjs.com](https://www.npmjs.com/package/@entityseven/rage-fw-browser)
- [`@entityseven/rage-fw-shared-types`](./shared-types) [npmjs.com](https://www.npmjs.com/package/@entityseven/rage-fw-shared-types)

These are setup as-should if you are using our CLI, if you still want to setup yourself, please refer to [examples](https://git.entityseven.com/entityseven/rage-framework-example)

## Contributing

Join our community of developers and contribute to the ongoing development of RageFW. At the moment the only way to contribute is opening issues

## Support

Need help? Reach out via our community forums or contact us directly through our support channels. We're committed to help you as we can

## License

Licensed under **Custom Attribution-NoDerives Software License**

> _RageFW - because in the world of GTA:RP, nobody has time for type errors_
