---
outline: [2, 4]
---
# Shared types <Badge type="tip" text="^0.3.0" />

Core element of type-safety in our framework system. It allows you to manually type any **custom** events you have in your server system.
There are three interfaces, which share between the system to apply types:

- `RageFW_ICustomClientEvent`
- `RageFW_ICustomServerEvent`
- `RageFW_ICustomBrowserEvent`

To apply types for events we use the following system and below is a sample how it applies them your code

```ts
customEventName(arg1: string, arg2: number): boolean
```

```ts
register('customEventName', async (arg1 /*string*/, arg2 /*number*/) => {
  // your logic
  return true /*Promise<boolean>*/
})
```